Subject: Re: bug#18438: 24.4.50; assertion failed in bidi.c

From: [email-masked]
Date: Mon, 29 Sep 2014 12:03:53 +1300

On Wed, 24 Sep 2014 10:06:30 -0400, Ken Brown wrote:
> On 9/24/2014 1:07 AM, [email-masked] wrote:
>> Since your post, I have been running emacs under gdb-7.8-2 as you 
>> said,
>> and regularly pulling from git master (and rebuilding, of course). 
>> Today
>> I pulled 270b6e3 and rebuilt, and it hangs under gdb before even 
>> drawing
>> the frame.  It runs fine outside gdb, so I did a clean build and 
>> tried
>> again, but the same happened.
>
> It works fine for me with the latest bzr revision (117936).
>
> If you still can't get it to work, maybe you should test the emacs-24
> branch instead of the trunk.  That's much more stable, and fixing 
> bugs
> there is more important than fixing bugs in the trunk right now.
>

I was wrong, it was actually just *very* slow to finish startup.  I am 
now running from the emacs-24 branch instead.  The assert has finally 
failed again, and here's the backtrace.  Not sure it's of any help since 
you have already provided a backtrace from the same assert, but it can't 
hurt and might provide some additional information.

--Aidan